- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 1d9ba064-c195-449e-87a9-c33e703f84c2
    creation_time: 2023-02-17T12:13:46.940942Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps6-ll.c
      input_file_hashes:
        c/nla-digbench/ps6-ll.c: 07abfb6a25bc8999c03b9e73c88de3af15c2169770f93c7bfb47efae6a8a30d3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps6-ll.c
    file_hash: 07abfb6a25bc8999c03b9e73c88de3af15c2169770f93c7bfb47efae6a8a30d3
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: -2*y*y*y*y*y*y-6*y*y*y*y*y-5*y*y*y*y+y*y+12*x == 0 && c == y &&  ( c <= k || k < 0 && 0 == c ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 870bb60f-6217-49f7-a4fa-5693f8c9ee7a
    creation_time: 2023-02-17T12:13:46.941230Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps6-ll.c
      input_file_hashes:
        c/nla-digbench/ps6-ll.c: 07abfb6a25bc8999c03b9e73c88de3af15c2169770f93c7bfb47efae6a8a30d3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps6-ll.c
    file_hash: 07abfb6a25bc8999c03b9e73c88de3af15c2169770f93c7bfb47efae6a8a30d3
    line: 28
    column: 0
    function: main
  location_invariant:
    string: -2*y*y*y*y*y*y-6*y*y*y*y*y-5*y*y*y*y+y*y+12*x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8f59f9c5-2bb3-4188-80c0-8deb177022dc
    creation_time: 2023-02-17T12:13:46.941329Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps6-ll.c
      input_file_hashes:
        c/nla-digbench/ps6-ll.c: 07abfb6a25bc8999c03b9e73c88de3af15c2169770f93c7bfb47efae6a8a30d3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps6-ll.c
    file_hash: 07abfb6a25bc8999c03b9e73c88de3af15c2169770f93c7bfb47efae6a8a30d3
    line: 38
    column: 0
    function: main
  location_invariant:
    string: -2*y*y*y*y*y*y-6*y*y*y*y*y-5*y*y*y*y+y*y+12*x == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f69edde9-c87d-4d7a-878c-df2aaeb1e96d
    creation_time: 2023-02-17T12:13:46.941414Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps6-ll.c
      input_file_hashes:
        c/nla-digbench/ps6-ll.c: 07abfb6a25bc8999c03b9e73c88de3af15c2169770f93c7bfb47efae6a8a30d3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps6-ll.c
    file_hash: 07abfb6a25bc8999c03b9e73c88de3af15c2169770f93c7bfb47efae6a8a30d3
    line: 39
    column: 0
    function: main
  location_invariant:
    string: k*y == y*y
    type: assertion
    format: C

